//
// A virtual listview implementation by Steven E. Sipe
// First published in Dr. Dobb's Journal
//

#if !defined(AFX_DATATBL_H__25322660_E9C7_11D1_939A_00600837DA75__INCLUDED_)
#define AFX_DATATBL_H__25322660_E9C7_11D1_939A_00600837DA75__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DataTbl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CVLDataTable DAO recordset

class CVLDataTable : public CDaoRecordset
{
public:
	CVLDataTable(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CVLDataTable)

// Operations
public:
	int NumRecords();

// Field/Param Data
	//{{AFX_FIELD(CVLDataTable, CDaoRecordset)
	long	m_Item_Number;
	CString	m_Item_Text;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVLDataTable)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATATBL_H__25322660_E9C7_11D1_939A_00600837DA75__INCLUDED_)
